/**
 * Copyright (C) 2012  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable;

import com.vaadin.Application;
import com.vaadin.ui.*;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.Button.ClickListener;

public class DTableApplication extends Application implements ClickListener {

	private static final long serialVersionUID = -1030805573661869016L;
	private VerticalLayout layout = null;
	private DemoScrolableTable scrolableTable = null;
	private DemoPagableTable pagableTable = null;

	@Override
	public void init() {
		Window mainWindow = new Window("DTable Application");
		setMainWindow(mainWindow);
		
		Button button1 = new Button("Scrollable table");
		button1.addListener(this);
		mainWindow.addComponent(button1);
		
		Button button2 = new Button("Pagable table");
		button2.addListener(this);
		mainWindow.addComponent(button2);
		
		layout = new VerticalLayout();
		mainWindow.addComponent(layout);
	}

	@Override
	public void buttonClick(ClickEvent event) {
		if (event.getButton().getCaption().equals("Scrollable table")) {
			scrolableTable = new DemoScrolableTable();
			layout.removeAllComponents();
			layout.addComponent(scrolableTable);
		} else if (event.getButton().getCaption().equals("Pagable table")) {
			pagableTable = new DemoPagableTable();
			layout.removeAllComponents();
			layout.addComponent(pagableTable);
		}
	}

}
