/**
 * Copyright (C) 2012  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable;

import java.io.Serializable;

public class Filter implements Serializable {

	public static final int TEXT = 0;
	public static final int NUMBER = 1;
	public static final int DATE_TIME = 2;
	public static final int STANDARD_DATE_TIME = 3;
	//
	public static final String NULL = "IS NULL";
	public static final String NOT_NULL = "IS NOT NULL";
	public static final String LIKE = "LIKE";
	public static final String NOT_LIKE = "NOT LIKE";
	public static final String EQ = "=";
	public static final String NE = "<>";
	public static final String LT = "<";
	public static final String GT = ">";
	public static final String LE = "<=";
	public static final String GE = ">=";
	//
	private static final long serialVersionUID = -8526594797316631408L;
	private int column;
	private String header;
	private String headerId;
	private int type;
	private String formatFrom;
	private String formatTo;
	private String[] operators;
	private String[] values;
	private String[] originalValues;

	public Filter(int column, String header, String headerId, int type,
			String formatFrom, String formatTo, String[] operators,
			String[] values, String[] originalValues) {
		this.column = column;
		this.header = header;
		this.headerId = headerId;
		this.type = type;
		this.formatFrom = formatFrom;
		this.formatTo = formatTo;
		this.operators = operators;
		this.values = values;
		this.originalValues = originalValues;
	}

	public Integer getColumn() {
		return column;
	}

	public String getHeader() {
		return header;
	}

	public String getHeaderId() {
		return headerId;
	}

	public int getType() {
		return type;
	}

	public String getFormatFrom() {
		return formatFrom;
	}

	public String getFormatTo() {
		return formatTo;
	}

	public String[] getOperators() {
		return operators;
	}

	public String[] getValues() {
		return values;
	}

	public String[] getOriginalValues() {
		return originalValues;
	}

}
