/**
 * Copyright (C) 2012  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.client.ui;

import java.util.Arrays;
import java.util.List;

public enum VMenuItems {
	// SORTING_ASCENDING("ASC", "ASCENDING SORTING FOR COLUMN '_'", ""), //
	SORTING_ASCENDING("ASC", "NARAŠČAJOČE RAZVRŠČANJE ZA STOLPEC '_'", ""), //
	// SORTING_DESCENDING("DESC", "DESCENDING SORTING FOR COLUMN '_'", ""), //
	SORTING_DESCENDING("DESC", "PADAJOČE RAZVRŠČANJE ZA STOLPEC  '_'", ""), //
	// SORTING_REMOVE("REMOVE_SORTING", "REMOVE SORTING FOR COLUMN '_'", ""), //
	SORTING_REMOVE("REMOVE_SORTING", "ODSTRANI RAZVRŠČANJE ZA STOLPEC '_'", ""), //
	// SORTING_REMOVE_ALL("REMOVE_SORTING_ALL", "REMOVE ALL SORTINGS", ""), //
	SORTING_REMOVE_ALL("REMOVE_SORTING_ALL", "ODSTRANI VSA RAZVRŠČANJA", ""), //
	// UNFREEZE("UNFREEZE", "UNFREEZE COLUMN '_'", ""), //
	UNFREEZE("UNFREEZE", "ODMRZNI STOLPEC '_'", ""), //
	// FREEZE("FREEZE", "FREEZE COLUMN '_'", ""), //
	FREEZE("FREEZE", "ZAMRZNI STOLPEC '_'", ""), //
	EQUAL("EQUAL", "= _", "="), //
	NOT_EQUAL("NOT_EQUAL", "<> _", "<>"), //
	GREATER("GREATER", "> _", ">"), //
	GREATER_EQUAL("GREATER_EQUAL", ">= _", ">="), //
	LESS("LESS", "< _", "<"), //
	LESS_EQUAL("LESS_EQUAL", "<= _", "<="), //
	LIKE("LIKE", "LIKE '_'", "LIKE"), //
	NOT_LIKE("NOT_LIKE", "NOT LIKE '_'", "NOT LIKE"), //
	LIKE_LEFT("LIKE_LEFT", "LIKE '%_'", "LIKE"), //
	LIKE_RIGHT("LIKE_RIGHT", "LIKE '_%'", "LIKE"), //
	LIKE_LEFT_RIGHT("LIKE_LEFT_RIGHT", "LIKE '%_%'", "LIKE"), //
	// IS_EMPTY("IS_EMPTY", "IS EMPTY", "IS EMPTY"), //
	NULL("NULL", "JE PRAZNO", "IS NULL"), //
	// IS_NOT_EMPTY("IS_NOT_EMPTY", "IS NOT EMPTY", "NOT EMPTY"), //
	NOT_NULL("NOT_NULL", "NI PRAZNO", "IS NOT NULL"), //
	NONE("NONE", "_", ""), //
	// FILTER_REMOVE("REMOVE_FILTER", "REMOVE FILTERS FROM COLUMN '_'", "");
	FILTER_REMOVE("REMOVE_FILTER", "ODSTRANI FILTER IZ STOLPCA '_'", "");

	private final List<String> item;

	private VMenuItems(String... itemValues) {
		this.item = Arrays.asList(itemValues);
	}

	public List<String> getValues() {
		return item;
	}

	@Override
	public String toString() {
		return item.get(1);
	}

	public String id() {
		return item.get(0);
	}

	public String description() {
		return item.get(1);
	}

	public String operator() {
		return item.get(2);
	}

	public static VMenuItems item(String itemValue) {
		for (VMenuItems item : VMenuItems.values()) {
			if (item.getValues().contains(itemValue)) {
				return item;
			}
		}
		return VMenuItems.NONE;
	}

}
